Subject: [TLS] empty trustedauthorities list

From: jimmy <[email-masked]>
Date: Mon, 06 Feb 2006 23:04:52 +0530

Hi,

Is there a possible scenario when a client could send an empty 
TrustedAuthorities message, i.e., with 0 bytes of TrustedAuthority.

Thanks in advance,
jimmy

_______________________________________________
TLS mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tls

---

From: Mohamad Badra <[email-masked]>
Date: Mon, 06 Feb 2006 18:52:02 +0100

Hi Jimmy,

I think that you can use TrustAuthority extension which can be sent 
empty (the client may include none, some, or all of the CA root keys 
they possess in this extension)

      struct {
          TrustedAuthority trusted_authorities_list<0..2^16-1>;
      } TrustedAuthorities;

More details could be found in section 3.4 of RFC 3546.

Best regards,
Badra

---

From: Peter Sylvester <[email-masked]>
Date: Mon, 06 Feb 2006 18:53:33 +0100

The option to include no CA root keys is included to allow the client
   to indicate possession of some pre-defined set of CA root keys.

-- 
To verify the signature, see http://edelpki.edelweb.fr/ 
Cela vous permet de charger le certificat de l'autorité; 
die Liste mit zurückgerufenen Zertifikaten finden Sie da auch.

---

From: jimmy <[email-masked]>
Date: Tue, 07 Feb 2006 14:36:58 +0530

>   to indicate possession of some pre-defined set of CA root keys.
Is this the same as pre_agreed? In that case the list size is not '0'. 
Does list size '0' signify anything else?